Bug 1509216 (CVE-2017-12186) - CVE-2017-12186 xorg-x11-server: unvalidated lengths in X-Resource extension
Summary: CVE-2017-12186 xorg-x11-server: unvalidated lengths in X-Resource extension
Status: CLOSED WONTFIX
Alias: CVE-2017-12186
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Keywords: Security
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:06 UTC by Adam Mariš
Modified: 2019-06-08 22:27 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-07 07:20:53 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:06:40 UTC
Missing length validation was found in X-Resource extension.

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=cad5a1050b7184d828aef9c1dd151c3ab649d37e

Comment 1 Adam Mariš 2017-11-03 11:06:47 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:29:58 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.